## kankakee-dmo 1.0.3

=== CMakeLists.txt ===
#*******************************************************************************
# kankakee/CMakeLists.txt
#
# Copyright (c) 2024 Stephen Rhodes 
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
#******************************************************************************/

cmake_minimum_required(VERSION 3.20)

project(kankakee VERSION 1.0.3)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSOCKLEN_T=socklen_t -D__STDC_CONSTANT_MACROS")
include(GNUInstallDirs)
set(CMAKE_INSTALL_INCLUDEDIR "include/${CMAKE_LIBRARY_ARCHITECTURE}")

if(WIN32)
    add_compile_options("/EHsc")
    add_compile_definitions("NO_GETIFADDRS")
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
    set(BUILD_SHARED_LIBS TRUE)
endif()

add_subdirectory(pybind11)

pybind11_add_module(kankakee
    src/kankakee.cpp
)

if (WIN32)
    target_link_libraries(kankakee PRIVATE
        wsock32
        ws2_32    
    )
endif()

target_include_directories(kankakee PUBLIC
    include
)

=== debian/changelog ===
kankakee-dmo (1.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2025 08:57:05 +0200

kankakee-dmo (1.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 17:47:23 +0100

kankakee-dmo (1.0.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Nov 2024 15:36:50 +0100

=== debian/control ===
Source: kankakee-dmo
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sr99622/kankakee
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools,
 pybuild-plugin-pyproject, python3-dev, pybind11-dev, cmake, quilt,

Package: python3-kankakee
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
Description: Server/Client python module designed for use in OnvifGUI
 A Server/Client python module designed for use in OnvifGUI to provide
 remote access to a centralized Camera Server.

=== debian/watch ===
version=4

https://github.com/sr99622/kankakee/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## kankakee-dmo 1.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 cmake_minimum_required(VERSION 3.20)
 
-project(kankakee VERSION 1.0.3)
+project(kankakee VERSION 1.0.4)
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED True)

=== debian/changelog ===
kankakee-dmo (1.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Jan 2026 00:42:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kankakee-dmo
 Section: python
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/sr99622/kankakee
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-setuptools,
  pybuild-plugin-pyproject, python3-dev, pybind11-dev, cmake, quilt,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=kankakee

%:
	dh $@ -Spybuild --with quilt
